package character;

// 列挙型で職業を定義
public enum Job {
	// 勇者, 戦士, 魔法使い
	// 職業名, 職業ID,
	// パラメータ初期値（Lv 0）：HP, MP, 攻, 守
	// 力, 早, 身, 賢, 運
	Novice ("無職", 1,		// 職業名, 職業ID,
			10, 5,		// パラメータ初期値（Lv 0）：HP, MP
			8, 4, 5, 5, 6);	// 力, 早, 身, 賢, 運

	private final String name; // 職業名
	private final int number;  // 職業ID
	public final int hp, mp, power, speed, guard, intelligent, luck; // 各パラメータ

	// 指定したパラメータを設定するコンストラクタ
	private Job(String name, int number, int hp, int mp,
			int power, int speed, int guard, int intelligent, int luck) {
		this.name = name;
		this.number = number;
		this.hp = hp; this.mp = mp;
		this.power = power; this.speed = speed; this.guard = guard;
		this.intelligent = intelligent; this.luck = luck;
	}

	// 職業の指定がない場合は、無職としてデフォルトのパラメータを設定
	private Job(String name) {
		this.name = name;
		this.number = 1;
		this.hp = 10; this.mp = 5;
		this.power = 8; this.speed = 4; this.guard = 5;
		this.intelligent = 5; this.luck = 6;
	}

	// 職業名のゲッタ
	public String JobName() {
		return name;
	}
	// 職業IDのゲッタ
	public int JobNumber() {
		return number;
	}

}
